package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class Dicmsfw {

    public static final String TITLE = "民生服务指数";

    public static final String SRFPGY = "收入分配归一化指数";
    public static final String CXJMSRGDP = "城乡居民收入占GDP比重";

    public static final String JNXSGY = "基尼系数归一化指数";
    public static final String JNXS = "基尼系数";

    public static final String CXJMSRGY = "城乡居民收入比归一化指数";
    public static final String CXJMSR = "城乡居民收入比";

    public static final String SHZLGY = "生活质量归一化指数";
    public static final String CZJMRJ = "城镇居民人均可支配收入";
    public static final String NCJMRJ = "农村居民人均纯收入";

    public static final String CXJMJTEGRGY= "城乡居民家庭恩格尔系数归一化指数";
    public static final String CXJMJTEGR= "城乡居民家庭恩格尔系数";

    public static final String RJZFGY = "人均住房使用面积归一化指数";
    public static final String RJZF = "人均住房使用面积";

    public static final String CZBZGY = "城镇保障性住房新开工面积占住宅开发面积比重归一化指数";
    public static final String CZBZ = "城镇保障性住房新开工面积占住宅开发面积比重";

    public static final String HLWGY = "互联网普及率归一化指数";
    public static final String HLW = "互联网普及率";

    public static final String MWRGY = "每万人拥有公共汽（电）车辆归一化指数";
    public static final String MWR = "每万人拥有公共汽（电）车辆";

    public static final String PJYQGY = "平均预期寿命归一化指数";
    public static final String PJYQ = "平均预期寿命";
    public static final String LDJYGY = "劳动就业归一化指数";
    public static final String CZDJ = "城镇登记失业率";

    public static final String XS1 = "收入分配";
    public static final String XS2 = "基尼系数";
    public static final String XS3 = "城乡居民收入";
    public static final String XS4 = "生活质量";
    public static final String XS5 = "城乡居民家庭恩格尔系数";
    public static final String XS6 = "人均住房使用面积";
    public static final String XS7 = "城镇保障性住房新开工面积占住宅开发面积比重";
    public static final String XS8 = "互联网普及率";
    public static final String XS9 = "每万人拥有公共汽（电）车辆";
    public static final String XS10 = "平均预期寿命";
    public static final String XS11 = "劳动就业";


    private static Dicmsfw instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private Dicmsfw(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(TITLE, TITLE);
        dicMap.put(SRFPGY, SRFPGY);
        dicMap.put(CXJMSRGDP, CXJMSRGDP);
        dicMap.put(JNXSGY, JNXSGY);
        dicMap.put(CXJMSRGY, CXJMSRGY);
        dicMap.put(SHZLGY, SHZLGY);
        dicMap.put(CZJMRJ, CZJMRJ);
        dicMap.put(NCJMRJ, NCJMRJ);
        dicMap.put(CXJMJTEGRGY, CXJMJTEGRGY);
        dicMap.put(RJZFGY, RJZFGY);
        dicMap.put(CZBZGY, CZBZGY);
        dicMap.put(HLWGY, HLWGY);
        dicMap.put(MWRGY, MWRGY);
        dicMap.put(PJYQGY, PJYQGY);
        dicMap.put(JNXS, JNXS);
        dicMap.put(PJYQ, PJYQ);
        dicMap.put(MWR, MWR);
        dicMap.put(HLW, HLW);
        dicMap.put(CZBZ, CZBZ);
        dicMap.put(RJZF, RJZF);
        dicMap.put(CXJMJTEGR, CXJMJTEGR);
        dicMap.put(CXJMSR, CXJMSR);
        dicMap.put(LDJYGY, LDJYGY);
        dicMap.put(CZDJ, CZDJ);

        dicMap.put(XS1, XS1);
        dicMap.put(XS2, XS2);
        dicMap.put(XS3, XS3);
        dicMap.put(XS4, XS4);
        dicMap.put(XS5, XS5);
        dicMap.put(XS6, XS6);
        dicMap.put(XS7, XS7);
        dicMap.put(XS8, XS8);
        dicMap.put(XS9, XS9);
        dicMap.put(XS10, XS10);
        dicMap.put(XS11, XS11);

    }

    public static Dicmsfw getInstacne(){
        if (instance == null)
        {
            instance = new Dicmsfw();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
